<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_mque.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
Archivelog(@$_SESSION["code_log"]);

$cpr = strip_tags(trim($_GET['cpr']));	// Récupération code Relevé

if ($cpr <> "")
{
	// Récupération des informations demande de retour
	$row = lit_enr_retd($cpr,TRUE);
	if (is_array($row))
	{
		extract ($row);
		
		// Récupération des informations fiche produit à retourner
		$row = lit_enr_retp($cpr,TRUE);
		if (is_array($row))
		{
			extract ($row);

			// Récupération des informations marque
			$row = lit_enr_mque($retd_codemque,TRUE);
			if (is_array($row))
			{
				extract ($row);

				$retd_dateddef = formatedate($retd_datedde);

				// Récupération des données agence
				$row = lit_enr_age($retp_codeage,TRUE);
				if (is_array($row))
				{
					extract ($row);
				
					$cp_age = Retournecp_openId($age_ville,TRUE);
					$ville_age = Retourneville_openId($age_ville,TRUE);
	
					include_once('../classes/fpdf/fpdf.php');
					include_once('../inc/fpdf_ext.inc.php');
					
					$pdf=new PDF();
					$pdf->FPDF('L','mm','A4');
					$pdf->SetDisplayMode('real');
					$pdf->AliasNbPages();
					$pdf->SetTitle('Demande de retour');
					$pdf->SetSubject('Demande de retour');
					$pdf->settheader("retd");
					$pdf->AddPage();
	
					$pv_det_mque = $pv_ent_age; // Récupération de la position sous l'entête agence pour le pointeur détail destinataire
					$pv_det_retd = $pv_ent_age; // Récupération de la position sous l'entête agence pour le pointeur détail demande
	
					$pdf->SetLineWidth(0.4);
				
					// Impression du détail distributeur
					$pdf->SetY($pv_det_mque); // Renvoie le pointeur SOUS l'entête agence
				
					$pdf->SetFont('Arial','BU',12); // Titre
					$pdf->Cell(138,5,'DESTINATAIRE','LTR',1,'C');
					
					$nl_ent=7;
					$ent_mque = ""; // Détail
					$ent_mque.=$mque_ste."\n";
					$pdf->SetFont('Arial','B',10);
					$pdf->MultiCell(138,4,$ent_mque,'LR','L');
					$nl_ent=$nl_ent-1;
				
					$ent_mque = $mque_adr1."\n"; // Suite...
					if (trim($mque_adr2)<>"")
					{
						$ent_mque.= $mque_adr2."\n";
						$nl_ent=$nl_ent-1;
					}
					$ent_mque.= Retournecp_openId($mque_ville,TRUE)." ".Retourneville_openId($mque_ville,TRUE)."\n";
					$ent_mque.= "Tel : ".$mque_telf."\n";
					$ent_mque.= "Fax : ".$mque_fax;
					$nl_ent=$nl_ent-4;
					if (trim($mque_tvai)<>"")
					{
						$ent_mque.= "\nTVA : ".$mque_tvai;
						$nl_ent=$nl_ent-1;
					}
					if ($nl_ent>0)
					{
						for ($nl=$nl_ent; $nl>=0; $nl--)
						{
							$ent_mque.= "\n";
						}
					}
					$pdf->SetFont('Arial','',10);
					$pdf->MultiCell(138,4,$ent_mque,'LRB','L');
				
					// Impression du détail demande
					$pdf->SetY($pv_det_retd); // Renvoie le pointeur SOUS l'entête agence
				
					$pdf->Cell(138);
				
					$pdf->SetFont('Arial','BU',12);
					$pdf->Cell(139,5,'DETAIL','LTR',1,'C');
				
					$pdf->Cell(138);
				
					$pdf->SetFont('Arial','',8);
					$ent_ret = "Demandé par :\n";
					$ent_ret.= "Dossier :\n";
					$ent_ret.= "Urgence :\n";
					$ent_ret.= "\n\n\n\n";
				
					$pdf->MultiCell(30,4,$ent_ret,'B','R');
				
					$pdf->SetY($pv_det_retd+5); // Renvoie le pointeur SOUS l'entête agence + 5mm (cellule niveau urgence)
					$pdf->Cell(168);
				
					$pdf->SetFont('Arial','',8);

					$ent_ret = nom_md($retd_codemd,TRUE)."\n";
					if (trim($retd_dossier)<>"")
						$ent_ret.= $retd_dossier."\n";
					else
						$ent_ret.= "-\n";
					$ent_ret.= $niv_urgence[$retd_nivurg]."\n";
					$ent_ret.= "\n\n\n\n";
				
					$pdf->MultiCell(109,4,$ent_ret,'BR','L');
				
					
					$pdf->ln(2);
					
					$pdf->SetLineWidth(0.2);
					$pdf->SetDrawColor(220);
			
					// Code produit chez distributeur
					$pdf->SetFont('Arial','B',8);
					$pdf->Cell(30,4,'Code produit : ',0,0,'R');
					$pdf->SetFont('Arial','',8);
					$pdf->Cell(247,4,$retd_codepdtm,0,1,'L');

					// Désignation
					$pdf->SetFont('Arial','B',8);
					$pdf->Cell(30,4,'Désignation : ',0,0,'R');
					$pdf->SetFont('Arial','',8);
					$pdf->Cell(247,4,$retp_des,0,1,'L');

					// N° série
					$pdf->SetFont('Arial','B',8);
					$pdf->Cell(30,4,'Numéro de série : ',0,0,'R');
					$pdf->SetFont('Arial','',8);
					$pdf->Cell(247,4,$retp_ns,0,1,'L');

					// BL ou facture + Numéro
					$pdf->SetFont('Arial','B',8);
					$pdf->Cell(30,4,'BL/Facture : ',0,0,'R');
					$pdf->SetFont('Arial','',8);
					$pdf->Cell(247,4,$doc_types[$retd_blf]." ".$retd_nblf.", du ".formatedate($retd_dblf),0,1,'L');

					// Sous garantie ?
					$pdf->SetFont('Arial','B',8);
					$pdf->Cell(30,4,'Sous garantie ? : ',0,0,'R');
					$pdf->SetFont('Arial','',8);
					$pdf->Cell(247,4,$non_oui[$retd_gar],0,1,'L');

					// Panne
					$pdf->SetFont('Arial','B',8);
					$pdf->Cell(30,4,'Problème : ',0,0,'R');
					$pdf->SetFont('Arial','',8);
					$pdf->MultiCell(247,4,$retp_pbm,0,'L');

					// Texte de pied (retour)
					$row = lit_enr_txt("PIED_RETD");
					extract ($row);

					$pdf->Ln(1);
					$pdf->SetDrawColor(120);
					$pdf->SetLineWidth(0.4);
					$PosY = $pdf->GetY();
					$pdf->Line(10,$PosY,287,$PosY);
					$pdf->SetDrawColor(0);
					$pdf->SetLineWidth(0.2);

					$txt_ret = parse_txtcorps("age",$age_code,$txt_texte,"");

					$pdf->SetFont('Arial','',8);
					$pdf->WriteHTML($txt_ret);
	
					$pdf->Output('Demande de retour','I');
				}
			}
		}
	}
}
?>